/*
 *	jFontSys.h
 *	H.Ohkubo Oct. 20, 1992
 */

#define	ANK_FONT	"wlook.font"
#define	KANJIDIR	"JFONTS:"
#define	JFONT	"j"
#define	KNJ_FONT	"%s%s%02d.font"

#define	STARTUP	"s:jfont-startup"
#define	COMMENT_MARK	';'

enum	STUP {
	DENEC,
	CACHE_SIZE, FONT_NAME, JFONT_NAME,
	SYM1_NAME, SYM2_NAME, JANK_NAME, HIRA_NAME, KATA_NAME,
	TOTAL_STARTUP,
	};

char	*startup[TOTAL_STARTUP] = {
	"DENEC",
	"CACHE", "FONT", "JFONT",
	"SYM1", "SYM2", "JANK", "HIRA", "KATA",
	};

#define	FONT_CACHE_MIN	7
#define	FONT_CACHE_MAX	128
#define	FONT_CACHE_SIZE	38

#define	COPYRIGHT	"jFontSys Ver.0.01\nCopyright (c) H.Ohkubo 1992"
#define	REMOVE_MESSAGE	"Remove jFontSys"
#define	END_MESSAGE	"PROGRAM END."

struct	font_cache {
	char	fontname[FNAMELEN];
	struct	TextFont	*font;
	struct	font_cache	*prev;
	struct	font_cache	*next;
	};
